summaryrefslogtreecommitdiff
path: root/tests/test-pull-bareuser.sh
diff options
context:
space:
mode:
authorColin Walters <walters@verbum.org>2017-07-09 21:46:23 -0400
committerAtomic Bot <atomic-devel@projectatomic.io>2017-07-10 14:18:18 +0000
commit0aa20df20e1915c405750bc00995b130cfc3eb75 (patch)
tree76ffff7c7c0ae2d37d3ed91dccd9c3394d8a4d90 /tests/test-pull-bareuser.sh
parent9d941dcebbbbe0cab1f40adf3269a1562760f9ac (diff)
downloadostree-0aa20df20e1915c405750bc00995b130cfc3eb75.tar.gz
tests: Run pull tests for bare/bare-user
We have variants of `test-basic` for all 4 modes, but not for pull-test, which for some reason was named `pull-archive`, but mostly pulls *into* bare repos. The test code was structured like the basic one where it called into a `pull-test.sh`, so let's actually use it for 2/3 bare modes. (I tried to extend it to `bare-user-only` but it failed, going to look at that after this). This is related to https://github.com/ostreedev/ostree/issues/991 Closes: #998 Approved by: jlebon
Diffstat (limited to 'tests/test-pull-bareuser.sh')
-rwxr-xr-xtests/test-pull-bareuser.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/test-pull-bareuser.sh b/tests/test-pull-bareuser.sh
new file mode 100755
index 00000000..0729247f
--- /dev/null
+++ b/tests/test-pull-bareuser.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# Copyright (C) 2011 Colin Walters <walters@verbum.org>
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+set -euo pipefail
+
+. $(dirname $0)/libtest.sh
+
+setup_fake_remote_repo1 "archive"
+
+repo_mode=bare-user
+. ${test_srcdir}/pull-test.sh